Subject: Re: tendonitis

From: Russell McCrackin <[email-masked]>
Date: Tue, 11 Jun 1996 03:44:57 -0700 (PDT)

At 02:11 AM 6/11/96 -0400, you wrote:
>Clyde Winia wrote about the piezo-electric stimulator he saw on TV, and how
>he used the piezo spark ignitor from a gas grill (available at any Home Depot
>(snip)
>I read that post a few months back when this thread went around then, and I
>was suffering badly with tendonitis at the time.  I thought "why not," and
>tried it. I'm here to report similar relief myself.
>(snip)
>As Clyde said, maybe it is placebo effect only, but I swear that I felt
>immediate improvement in my elbow after a few clicks every morning and night.
>
>My wife thinks it's too wierd, and that I'm nuts.
>
>Lee Catlow
>

Think I'll try it.

I don't dare ask what my wife thinks!

Rusty

at Rusty Forge

Get it hot and hit it hard

Never use force, get a bigger hammer

---

 [email-masked]